#pragma once
#include <PSX/GPU/gpu_types.hpp>

namespace JabyEngine {
    #define TEST_STR "Planschbecken sind konfigurierbar"

    struct Configuration {
        struct BIOSFont {
            static constexpr auto TextureLoadPos = GPU::PositionU16::create(320, 256);
            static constexpr auto CLUTLoadPos    = GPU::PositionU16::create(320, 511);
        };

        struct Periphery {
            static constexpr bool IncludePortB = false;
            static constexpr bool UseMultiTap  = false;
        };
    };
}