#pragma once

#if __has_include(<jabyengine_custom_config.hpp>)
    #include <jabyengine_custom_config.hpp>
#else
    #include "GPU/gpu_types.hpp"

    namespace JabyEngine {
        #define TEST_STR "Planschbecken sind default"
        
        struct Configuration {
            struct BIOSFont {
                static constexpr auto TextureLoadPos = GPU::PositionU16::create(320, 256);
                static constexpr auto CLUTLoadPos    = GPU::PositionU16::create(320, 511);
            };

            struct Periphery {
                static constexpr bool IncludePortB = false;
                static constexpr bool UseMultiTap  = false;
            };
        };
    }
#endif // has jabyengine_custom_config